Draft Offset/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "* Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt. * Nedtryckning av {{KEY|CTRL}} kommer att snäppa din punkt till tillgängli...")
(Updating to match new version of source page)
Line 3: Line 3:
==Beskrivning==
==Beskrivning==


The Offset tool offsets the selected object by a given distance on the current [[Draft SelectPlane|work plane]]. If no object is selected, you will be invited to select one.
Detta verktyg gör en offset på det valda objektet. Om inget objekt är valt, så kommer du ombes att välja ett. Sedan ombes du om en punkt som ger avståndet för offseten från det markerade objektet.


[[Image:Draft_Offset_example.jpg|400px]]
[[Image:Draft_Offset_example.jpg|400px]]
Line 29: Line 29:
The Offset tool can by used in [[macros]] and from the python console by using the following function:
The Offset tool can by used in [[macros]] and from the python console by using the following function:


{{Code|code=
<syntaxhighlight>
offset (object,Vector,[copymode],[bind],[sym])
offset (object,Vector,[copymode],[bind],[sym])
}}
</syntaxhighlight>


* Offsets the given wire by applying the given Vector to its first vertex.
* Offsets the given wire by applying the given Vector to its first vertex.
Line 41: Line 41:
Example:
Example:


{{Code|code=
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
}}
</syntaxhighlight>

<languages/>
<languages/>

Revision as of 21:40, 1 January 2015

Template:GuiCommand/se

Beskrivning

The Offset tool offsets the selected object by a given distance on the current work plane. If no object is selected, you will be invited to select one.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa dig till det nuvarande segmentet, iställed för att markera det närmaste.
  • Om du trycker på ESC så avbryts funktionen.
  • C växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
  • Nedtryckning av ALT kommer att skapa en kopia, även om kopieringsknappen är av.
  • Om ALT är nedtryckt, så kan du göra multipla kopior ända tills ALT släpps.

Options

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))